//
//  View.swift
//  Eyre
//
//  Created by Mark Meretzky on 11/20/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	let button: UIButton = UIButton.buttonWithType(UIButtonType.System) as UIButton;

	//Called from the loadView method of the ViewController.

	init(viewController: ViewController) {
		// Initialization code
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.whiteColor();

		button.center = center;
		button.bounds.size = CGSizeMake(260, 40);

		button.autoresizingMask =
			UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;

		button.backgroundColor = UIColor.whiteColor();
		button.layer.borderWidth = 0.5;	//0.5 pairs of pixels = 1 pixel
		button.layer.borderColor = UIColor.blackColor().CGColor;
		button.setTitleColor(UIColor.blackColor(), forState: UIControlState.Normal);
		button.setTitle("Orson Welles — Jane Eyre (1943)", forState: UIControlState.Normal);

		button.addTarget(viewController,
			action: "touchUpInside:",
			forControlEvents: UIControlEvents.TouchUpInside);

		addSubview(button)
	}

	//Never called.
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
